Name: vile
Version: 8.1
Release: 1perl
Group: Applications/Editors
Copyright: BeerWare :-) (see COPYING)
URL: ftp://ftp.clark.net/pub/dickey/vile
Source0: vile-8.1.tgz
Source1: vile.wmconfig
Source2: xvile.wmconfig
Packager: Robert "Jeff"rey Morriss <morriss@pobox.com>
requires: perl = 5.004-4
Summary: VI clone with extended capabilities and X11 support

%changelog
* Sat Oct 3 1998 Jeff Morriss <morriss@pobox.com>

- Upgraded to 8.1

* Thu Sep 19 1998 Jeff Morriss <morriss@pobox.com>

- Added wmconfig files

%description
Vile is a text editor which is extremely compatible with vi in terms
of "finger feel".  In addition, it has extended capabilities in many areas,
notably multi-file editing and viewing, key rebinding, and real X window
system support.

This version has the new Perl API enabled.  In order to function properly,
you must have the perl-5.004-4 RPM installed in its normal location!
(Also note that because the above Perl RPM does not have a dynamic
'libperl', 'vile' and 'xvile' are STATICALLY linked against 'libperl',
thus increasing their size significantly).

%prep
%setup

%build
./configure --with-perl --with-screen=x11 --prefix=/usr
make
./configure --with-perl --prefix=/usr
make
make vile-perl-api.man vile-perl-api.html

%install
make INSTALL_PROGRAM='${INSTALL} -s' install
strip xvile
mv xvile /usr/X11R6/bin/xvile
cp vile.1 /usr/X11R6/man/man1/xvile.1
cp vile-perl-api.man /usr/man/man1/vile-perl-api.1
mv vile-perl-api.html doc

install -g root -o root -m644 $RPM_SOURCE_DIR/vile.wmconfig /etc/X11/wmconfig/vile
install -g root -o root -m644 $RPM_SOURCE_DIR/xvile.wmconfig /etc/X11/wmconfig/xvile

%files
%config(missingok) /etc/X11/wmconfig/vile
%config(missingok) /etc/X11/wmconfig/xvile
/usr/bin/vile
/usr/X11R6/bin/xvile
/usr/bin/vile-manfilt
/usr/bin/vile-c-filt
/usr/bin/vile-pas-filt
/usr/bin/vile-crypt
/usr/share/vile
/usr/man/man1/vile.1
/usr/man/man1/vile-perl-api.1
/usr/X11R6/man/man1/xvile.1
%doc CHANGES CHANGES.R3 CHANGES.R4 CHANGES.R5 CHANGES.R6
%doc COPYING INSTALL MANIFEST README README.PC
%doc doc

